const int greenLEDPin = 11;
const int redLEDPin = 10;  
const int blueLEDPin = 6; 
const int yellowLEDPin = 5;

const int redSensorPin = A0; 
const int greenSensorPin = A1; 
const int blueSensorPin = A2;

int redValue = 0;
int greenValue = 0;
int blueValue = 0;

int redSensorValue = 0;
int greenSensorValue = 0;
int blueSensorValue = 0;

int redGreenChannel = 0;
int blueYellowChannel = 0;

void setup() {    
  Serial.begin (9600); 
  pinMode (greenLEDPin, OUTPUT);
  pinMode (redLEDPin, OUTPUT);
  pinMode (blueLEDPin, OUTPUT);
} 

void loop() {  
  redSensorValue = analogRead (redSensorPin);  
  delay (5); 

  greenSensorValue = analogRead (greenSensorPin);  
  delay (5);   
  
  blueSensorValue = analogRead (blueSensorPin); 

  redValue = redSensorValue/4;
  greenValue = greenSensorValue/4;
  blueValue = blueSensorValue/4;

  redGreenChannel = redValue-greenValue;
  blueYellowChannel = redValue+greenValue-2*blueValue;
  
  if (redGreenChannel > 0){  
    analogWrite (redLEDPin, redGreenChannel);      
  }
  else if (redGreenChannel < 0){ 
  analogWrite (greenLEDPin, -1*redGreenChannel);  
  }
  else{ 
    analogWrite (greenLEDPin,0);
    analogWrite (redLEDPin,0);
  }
  
  if (blueYellowChannel > 0){ 
    analogWrite (yellowLEDPin, blueYellowChannel); 
  }
  else if ( blueYellowChannel < 0){ 
  analogWrite (blueLEDPin, -1*blueYellowChannel); 
  }
  else{ 
    analogWrite (blueLEDPin,0);
    analogWrite (yellowLEDPin,0);
  }  
} 
